# Gimp.type_get_translation_domain

    function type_get_translation_domain(type: GObject.Type): String {
        // Gjs wrapper for gimp_type_get_translation_domain()
    }

Retrieves the gettext translation domain identifier that has been previously set using Gimp.type_set_translation_domain. You should not need to use this function directly, use Gimp.enum_get_value or Gimp.enum_value_get_desc instead.

Since 2.2

type

  a GLib.Type

Returns

  the translation domain associated with type or null if no domain was set